<div>
<h1>Vinoteca Laboris Consulting</h1>
  <table border="1" *ngIf="hayVinos(); else nohayvino">
    <tr>
      <td>Codigo</td><td>Descripción</td><td>Precio</td><td>Borrar</td><td>Seleccionar</td>
    </tr>
    <tr *ngFor="let art of articulos">
      <td>{{art.codigo}}</td>
      <td>{{art.descripcion}}</td>
      <td>{{art.precio}}</td>
      <td><button (click)="baja(art.codigo)">Borrar</button></td>
      <td><button (click)="seleccionar(art.codigo)">Seleccionar</button></td>
    </tr>
  </table>
  <ng-template #nohayvino><p>Que no hay vino</p></ng-template>
<div>
<p>
  Descripción:<input type="text" [(ngModel)]="art.descripcion" />
</p>
<p>
  Precio:<input type="number" [(ngModel)]="art.precio" />
</p>
<p><button (click)="alta()">Añadir</button></p>
<button (click)="modificacion()">Modificar</button>
</div>
</div>